package com.pqs9000.pojo.responsibility;

import com.pqs9000.pojo.report.UserDataExcelBody;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 针对天处理用采数据的结果实体
 * @author hongawen
 * @Date: 2019/4/19 14:38
 */
public class DealUserDataResult implements Serializable {

    //处理好的数据
    private List<UserDataExcelBody> completed = new ArrayList<>();

    //因当日完整性不足90，没有处理直接返回
    private List<UserDataExcelBody> lack = new ArrayList<>();

    //完整性不足时，用户信息描述
    private String detail;

    //完整性不足的具体信息
    private UserExcelDataNoIntegrity userExcelDataNoIntegrity;

    public UserExcelDataNoIntegrity getUserExcelDataNoIntegrity() {
        return userExcelDataNoIntegrity;
    }

    public void setUserExcelDataNoIntegrity(UserExcelDataNoIntegrity userExcelDataNoIntegrity) {
        this.userExcelDataNoIntegrity = userExcelDataNoIntegrity;
    }

    public List<UserDataExcelBody> getCompleted() {
        return completed;
    }

    public void setCompleted(List<UserDataExcelBody> completed) {
        this.completed = completed;
    }

    public List<UserDataExcelBody> getLack() {
        return lack;
    }

    public void setLack(List<UserDataExcelBody> lack) {
        this.lack = lack;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    @Override
    public String toString() {
        return "DealUserDataResult{" +
                "completed=" + completed +
                ", lack=" + lack +
                ", detail='" + detail + '\'' +
                '}';
    }
}
